summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/system.h6
-rw-r--r--tests/local.mk1
-rwxr-xr-xtests/misc/help-version.sh6
3 files changed, 2 insertions, 11 deletions
diff --git a/src/system.h b/src/system.h
index 0605a2f2e..94c968fbd 100644
--- a/src/system.h
+++ b/src/system.h
@@ -564,11 +564,7 @@ Otherwise, units default to 1024 bytes (or 512 if POSIXLY_CORRECT is set).\n\
static inline void
emit_ancillary_info (void)
{
- printf (_("\nReport %s bugs to %s\n"), last_component (program_name),
- PACKAGE_BUGREPORT);
- printf (_("%s home page: <%s>\n"), PACKAGE_NAME, PACKAGE_URL);
- fputs (_("General help using GNU software: <http://www.gnu.org/gethelp/>\n"),
- stdout);
+ printf (_("\n%s online help: <%s>\n"), PACKAGE_NAME, PACKAGE_URL);
/* Don't output this redundant message for English locales.
Note we still output for 'C' so that it gets included in the man page. */
const char *lc_messages = setlocale (LC_MESSAGES, NULL);
diff --git a/tests/local.mk b/tests/local.mk
index 9be197025..607ddc4d9 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -77,7 +77,6 @@ TESTS_ENVIRONMENT = \
EGREP='$(EGREP)' \
EXEEXT='$(EXEEXT)' \
MAKE=$(MAKE) \
- PACKAGE_BUGREPORT='$(PACKAGE_BUGREPORT)' \
PACKAGE_VERSION=$(PACKAGE_VERSION) \
PERL='$(PERL)' \
PREFERABLY_POSIX_SHELL='$(PREFERABLY_POSIX_SHELL)' \
diff --git a/tests/misc/help-version.sh b/tests/misc/help-version.sh
index 00f30cd02..1a79488f4 100755
--- a/tests/misc/help-version.sh
+++ b/tests/misc/help-version.sh
@@ -87,13 +87,9 @@ for lang in C fr da; do
test $i = install && i=ginstall
# Make sure they exit successfully, under normal conditions.
- env $i --help > h-$i || fail=1
+ env $i --help >/dev/null || fail=1
env $i --version >/dev/null || fail=1
- # Make sure they mention the bug-reporting address in --help output.
- grep "$PACKAGE_BUGREPORT" h-$i > /dev/null || fail=1
- rm -f h-$i
-
# Make sure they fail upon 'disk full' error.
if test -w /dev/full && test -c /dev/full; then
env $i --help >/dev/full 2>/dev/null && fail=1